osg::GLFrameBufferObjectManager Class Reference

`#include <FrameBufferObject>`

Inheritance diagram for osg::GLFrameBufferObjectManager:

## Public Member Functions

| GLFrameBufferObjectManager (unsigned int contextID)
virtual void | deleteGLObject (GLuint globj)
Public Member Functions inherited from osg::GLObjectManager
| GLObjectManager (const std::string &name, unsigned int contextID)
virtual void | flushDeletedGLObjects (double currentTime, double &availableTime)
virtual void | flushAllDeletedGLObjects ()
virtual void | deleteAllGLObjects ()
virtual void | discardAllGLObjects ()
virtual void | scheduleGLObjectForDeletion (GLuint globj)
virtual GLuint | createGLObject ()
Public Member Functions inherited from osg::GraphicsObjectManager
| GraphicsObjectManager (const std::string &name, unsigned int contextID)
unsigned int | getContextID () const
virtual void | newFrame (osg::FrameStamp *)
virtual void | resetStats ()
virtual void | reportStats (std::ostream &)
virtual void | recomputeStats (std::ostream &) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Types inherited from osg::GLObjectManager
typedef std::list< GLuint > | GLObjectHandleList
Protected Member Functions inherited from osg::GLObjectManager
virtual | ~GLObjectManager ()
Protected Member Functions inherited from osg::GraphicsObjectManager
virtual | ~GraphicsObjectManager ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::GLObjectManager
OpenThreads::Mutex | _mutex
GLObjectHandleList | _deleteGLObjectHandles
Protected Attributes inherited from osg::GraphicsObjectManager
std::string | _name
unsigned int | _contextID
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## GLFrameBufferObjectManager()

osg::GLFrameBufferObjectManager::GLFrameBufferObjectManager | ( | unsigned int | contextID | ) |

## Member Function Documentation

## deleteGLObject()

virtual void osg::GLFrameBufferObjectManager::deleteGLObject | ( | GLuint | globj | ) |

virtual

implementation of the actual deletion of an GL object - subclasses from GLObjectManager must implement the appropriate GL calls.

Implements osg::GLObjectManager.

The documentation for this class was generated from the following file:

- FrameBufferObject